(function($) {
	$.fn.removeClassWild = function(mask) {
		return this.removeClass(function(index, cls) {
			var re = mask.replace(/\*/g, '\\S+');
			return (cls.match(new RegExp('\\b' + re + '', 'g')) || []).join(' ');
		});
	};
})(jQuery);

function info_visible_trigger() {
	
    if ($(".item-details").is(":visible")) {
        localStorage.setItem("info-visible", "0");
        project_info_old = $('.project-info').prop("class");
        $('.project-info').removeClassWild("col-md-*").addClass("col-md-12");
        $(".item-details").hide();
		$(".hi_bn").children("i").removeClass("fa-angle-right");
        $(".hi_bn").children("i").addClass("fa-angle-left");
	
	} else {
        localStorage.setItem("info-visible", "1");
        $('.project-info').prop("class", project_info_old);
        $(".item-details").show();
		$(".hi_bn").children("i").removeClass("fa-angle-left");
		$(".hi_bn").children("i").addClass("fa-angle-right");
    }
}

url_params = new URLSearchParams(decodeURIComponent(window.location.search));
if (url_params.get("module") == 'items/info') {
   
   $(document).ready(function() {
        bn = '<a title="Свернуть|развернуть окно информации" style="float:right" class="btn btn-default btn-xs hi_bn" href="#" onclick="info_visible_trigger(); return false;"><i class="fa fa-angle-right"></i></a>' 
        $(".breadcrumb").append(bn);
        if (localStorage.getItem("info-visible") === null) {
            localStorage.setItem("info-visible", "1")
        }
        $("body").on("dblclick", function() {
            info_visible_trigger();
        });
        if (localStorage.getItem("info-visible") == "0") {
            info_visible_trigger();
        }
    });
}